<?php
if (!defined('MEDIAWIKI')) die("MediaWiki extensions cannot be run directly.");
if (!defined('WikiDB')) {
	die("The WikiDB extension has not been set up correctly.<br>'"
		. basename(__FILE__) . "' should not be included directly.<br>Instead, "
		. "add the following to LocalSettings.php: "
		. "<tt><b>include_once(\"WikiDB/WikiDB.php\");</b></tt>");
}
/**
 * Messages used in the WikiDB extension.
 *
 * @package MediaWiki
 * @subpackage Extensions
 *
 * @author Mark Clements <mclements at kennel17 dot co dot uk>
 * @copyright Copyright  2006-2010, Mark Clements
 * @license http://creativecommons.org/licenses/by-sa/2.5/ cc-by-sa 2.5 or later
 * @version $Rev: 466 $
 */

WikiDB_RegisterRevision('$Rev: 466 $');

$pWikiDB_Messages = array(

	// Generic special-page messages
		'wikidb-limitlinks' 		=> "Show up to $1 tables",

	// Messages for special page 'UndefinedTables'
		'undefinedtables' 					=> "Undefined tables",
		'undefinedtables-header'
				=> "'''This page lists the first $1 undefined tables on the "
				   . "wiki.'''<br>These tables contain data, but have no "
				   . "definition, and are ordered by the number of rows of data "
				   . "they contain.",
		'undefinedtables-showing' 			=> "Found 1 table:",
		'undefinedtables-showing-plural' 	=> "Found $1 tables:",
		'undefinedtables-none' 				=> "No entries were found.",
		'undefinedtables-record' 			=> "1 record",
		'undefinedtables-record-plural' 	=> "$1 records",

	// Messages for special page 'EmptyTables'
		'emptytables' 					=> "Empty tables",
		'emptytables-header'
					=> "'''This page lists the first $1 empty tables on the "
					   . "wiki.'''<br>These tables have a definition but contain "
					   . "no data.",
		'emptytables-showing' 			=> "Found 1 table:",
		'emptytables-showing-plural' 	=> "Found $1 tables:",
		'emptytables-none' 				=> "No entries were found.",

	// Messages for special page 'AllTables'
		'alltables' 					=> "All defined tables",
		'alltables-header'
					=> "'''This page lists the first $1 tables that have a "
					 . "definition on the wiki, ordered alphabetically.'''",
		'alltables-showing' 			=> "Found 1 table:",
		'alltables-showing-plural' 		=> "Found $1 tables:",
		'alltables-none' 				=> "No entries were found.",
		'alltables-record' 				=> "1 record",
		'alltables-record-plural' 		=> "$1 records",

);

